# Form implementation generated from reading ui file 'src/eric7/Plugins/VcsPlugins/vcsMercurial/QueuesExtension/HgQueuesDefineGuardsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_HgQueuesDefineGuardsDialog(object):
    def setupUi(self, HgQueuesDefineGuardsDialog):
        HgQueuesDefineGuardsDialog.setObjectName("HgQueuesDefineGuardsDialog")
        HgQueuesDefineGuardsDialog.resize(400, 434)
        HgQueuesDefineGuardsDialog.setSizeGripEnabled(True)
        self.verticalLayout = QtWidgets.QVBoxLayout(HgQueuesDefineGuardsDialog)
        self.verticalLayout.setObjectName("verticalLayout")
        self.label = QtWidgets.QLabel(parent=HgQueuesDefineGuardsDialog)
        self.label.setObjectName("label")
        self.verticalLayout.addWidget(self.label)
        self.patchSelector = QtWidgets.QComboBox(parent=HgQueuesDefineGuardsDialog)
        self.patchSelector.setObjectName("patchSelector")
        self.verticalLayout.addWidget(self.patchSelector)
        self.line = QtWidgets.QFrame(parent=HgQueuesDefineGuardsDialog)
        self.line.setFrameShape(QtWidgets.QFrame.Shape.HLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Shadow.Sunken)
        self.line.setObjectName("line")
        self.verticalLayout.addWidget(self.line)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.label_3 = QtWidgets.QLabel(parent=HgQueuesDefineGuardsDialog)
        self.label_3.setObjectName("label_3")
        self.horizontalLayout_3.addWidget(self.label_3)
        self.patchNameLabel = QtWidgets.QLabel(parent=HgQueuesDefineGuardsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.patchNameLabel.sizePolicy().hasHeightForWidth())
        self.patchNameLabel.setSizePolicy(sizePolicy)
        self.patchNameLabel.setText("")
        self.patchNameLabel.setObjectName("patchNameLabel")
        self.horizontalLayout_3.addWidget(self.patchNameLabel)
        self.verticalLayout.addLayout(self.horizontalLayout_3)
        self.guardsList = QtWidgets.QListWidget(parent=HgQueuesDefineGuardsDialog)
        self.guardsList.setAlternatingRowColors(True)
        self.guardsList.setSelectionMode(QtWidgets.QAbstractItemView.SelectionMode.ExtendedSelection)
        self.guardsList.setObjectName("guardsList")
        self.verticalLayout.addWidget(self.guardsList)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.plusButton = QtWidgets.QRadioButton(parent=HgQueuesDefineGuardsDialog)
        self.plusButton.setText("")
        self.plusButton.setChecked(True)
        self.plusButton.setObjectName("plusButton")
        self.horizontalLayout.addWidget(self.plusButton)
        self.minusButton = QtWidgets.QRadioButton(parent=HgQueuesDefineGuardsDialog)
        self.minusButton.setText("")
        self.minusButton.setObjectName("minusButton")
        self.horizontalLayout.addWidget(self.minusButton)
        self.guardCombo = QtWidgets.QComboBox(parent=HgQueuesDefineGuardsDialog)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Policy.Expanding, QtWidgets.QSizePolicy.Policy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.guardCombo.sizePolicy().hasHeightForWidth())
        self.guardCombo.setSizePolicy(sizePolicy)
        self.guardCombo.setEditable(True)
        self.guardCombo.setInsertPolicy(QtWidgets.QComboBox.InsertPolicy.InsertAlphabetically)
        self.guardCombo.setObjectName("guardCombo")
        self.horizontalLayout.addWidget(self.guardCombo)
        self.addButton = QtWidgets.QPushButton(parent=HgQueuesDefineGuardsDialog)
        self.addButton.setObjectName("addButton")
        self.horizontalLayout.addWidget(self.addButton)
        self.verticalLayout.addLayout(self.horizontalLayout)
        self.removeButton = QtWidgets.QPushButton(parent=HgQueuesDefineGuardsDialog)
        self.removeButton.setObjectName("removeButton")
        self.verticalLayout.addWidget(self.removeButton)
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=HgQueuesDefineGuardsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Apply|QtWidgets.QDialogButtonBox.StandardButton.Close)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout.addWidget(self.buttonBox)

        self.retranslateUi(HgQueuesDefineGuardsDialog)
        self.buttonBox.accepted.connect(HgQueuesDefineGuardsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(HgQueuesDefineGuardsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(HgQueuesDefineGuardsDialog)
        HgQueuesDefineGuardsDialog.setTabOrder(self.patchSelector, self.guardsList)
        HgQueuesDefineGuardsDialog.setTabOrder(self.guardsList, self.plusButton)
        HgQueuesDefineGuardsDialog.setTabOrder(self.plusButton, self.minusButton)
        HgQueuesDefineGuardsDialog.setTabOrder(self.minusButton, self.guardCombo)
        HgQueuesDefineGuardsDialog.setTabOrder(self.guardCombo, self.addButton)
        HgQueuesDefineGuardsDialog.setTabOrder(self.addButton, self.removeButton)
        HgQueuesDefineGuardsDialog.setTabOrder(self.removeButton, self.buttonBox)

    def retranslateUi(self, HgQueuesDefineGuardsDialog):
        _translate = QtCore.QCoreApplication.translate
        HgQueuesDefineGuardsDialog.setWindowTitle(_translate("HgQueuesDefineGuardsDialog", "Define Guards"))
        self.label.setText(_translate("HgQueuesDefineGuardsDialog", "Select patch (leave empty for current patch):"))
        self.patchSelector.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Select the patch to show the guards of"))
        self.label_3.setText(_translate("HgQueuesDefineGuardsDialog", "Patch:"))
        self.patchNameLabel.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Shows the name of the patch"))
        self.guardsList.setToolTip(_translate("HgQueuesDefineGuardsDialog", "This shows the list of guards to be defined for the selected patch"))
        self.plusButton.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Select to define a positive guard"))
        self.minusButton.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Select to define a negative guard"))
        self.guardCombo.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Enter the guard name"))
        self.addButton.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Press to add the guard to the list or change it"))
        self.addButton.setText(_translate("HgQueuesDefineGuardsDialog", "Add/Change"))
        self.removeButton.setToolTip(_translate("HgQueuesDefineGuardsDialog", "Press to remove the selected guards from the list"))
        self.removeButton.setText(_translate("HgQueuesDefineGuardsDialog", "Remove"))
